@import url(https://fonts.googleapis.com/css?family=Roboto:300);

*, *:before, *:after {
  box-sizing: border-box;
}

body {
  background: #C5DDEB;
  font-family: "Roboto", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;   
}

.container {
  margin: 2% auto;
  width: 760px;
  background: #444753;
}

.users-list {
  width: 270px;
  float: left;
}
.users-list .search {
  padding: 20px;
}
.users-list input {
  border-radius: 3px;
  border: none;
  padding: 14px;
  color: white;
  background: #6A6C75;
  width: 90%;
  font-size: 14px;
}
.users-list .fa-search {
  position: relative;
  left: -25px;
}
.users-list ul {
  padding: 20px;
  max-height: 770px;
}
.users-list ul li {
  padding-bottom: 20px;
}
.users-list img {
  float: left;
}
.users-list .about {
  float: left;
  margin-top: 8px;
}
.users-list .about {
  padding-left: 8px;
}
.users-list .status {
  color: #92959E;
}
.chat, .room {
  width: 490px;
  float: left;
  background: #F2F5F8;
  color: #434651;
}
.chat .chat-header, .room .room-header {
  padding: 20px;
  border-bottom: 2px solid white;
}
.chat .chat-header img, .room .room-header img {
  float: left;
}
.chat .chat-header .chat-about, .room .room-header .room-about {
  float: left;
  padding-left: 10px;
  margin-top: 6px;
}
.chat .chat-header .chat-room, .room .room-header .room-title {
  font-weight: bold;
  font-size: 16px;
}
.chat .chat-header .chat-num-users, .room .room-header .room-num-rooms {
  color: #92959E;
}
.fa-users, .fa-th-list {
  float: right;
  color: #D8DADF;
  font-size: 20px;
  margin-top: 12px;
}
.chat .chat-history, .room .room-list {
  padding: 10px 30px 20px;
  border-bottom: 2px solid white;
  overflow-y: scroll;
  max-height: 580px;
}
.chat .chat-history .message-data {
  margin-bottom: 15px;
}
.chat .chat-history .message-data-time {
  color: #a8aab1;
  padding-left: 6px;
  font-size: 80%;
}
.chat .chat-history .message {
  color: white;
  padding: 18px 20px;
  line-height: 26px;
  font-size: 16px;
  margin-bottom: 30px;
  /*width: 90%;*/
  position: relative;
}
.chat .chat-history .message:after {
  bottom: 100%;
  left: 7%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-bottom-color: #86BB71;
  border-width: 10px;
  margin-left: -10px;
}
.chat .chat-history .my-message {
  background: #86BB71;
}
.chat .chat-message, .room .room-create {
  padding: 20px;
}
.chat .chat-message textarea, .room .room-create input {
  width: 100%;
  border: none;
  padding: 10px 20px;
  font: 14px/22px "Roboto", Arial, sans-serif;
  margin-bottom: 10px;
  resize: none;
}
.online, .offline, .me {
  margin-right: 3px;
  font-size: 10px;
}

.online {
  color: #86BB71;
}

.offline {
  color: #E38968;
}

.me {
  color: #94C2ED;
}

.align-left {
  text-align: left;
}

.align-right {
  text-align: right;
}

.float-right {
  float: right;
}

.clearfix:after {
  visibility: hidden;
  display: block;
  font-size: 0;
  content: " ";
  clear: both;
  height: 0;
}


/*  Login Page */
.login-page {
  width: 400px;
  padding: 4% 0 0;
  margin: auto;
}
.form {
  position: relative;
  z-index: 1;
  background: #FFFFFF;
  max-width: 400px;
  margin: 0 auto 100px;
  padding: 45px;
  text-align: center;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
.form input {
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #f2f2f2;
  width: 100%;
  border: 0;
  margin: 0 0 15px;
  padding: 15px;
  box-sizing: border-box;
  font-size: 14px;
}
.form button {
  font-family: "Roboto", sans-serif;
  text-transform: uppercase;
  outline: 0;
  background: #86BB71;
  width: 100%;
  border: 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 14px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}
.form button:hover,.form button:active,.form button:focus {
  background: #89c771;
}
.form .message, .room-create .message {
  margin: 15px 0 0;
  color: #b3b3b3;
  font-size: 12px;
}
.form .message a {
  color: #86BB71;
  text-decoration: none;
}
.form .register-form {
  display: none;
}

/* ****** Edits ****** */
ul {
  list-style: none;
}
.chat-history ul {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
.room .room-list .room-item {
  color: white;
  padding: 12px 14px;
  line-height: 26px;
  font-size: 20px;
  border-radius: 7px;
  margin-bottom: 10px;
  width: 90%;
  position: relative;
  cursor: pointer;
  text-align: center;
}
.room .room-list .room-item {
  background: #86BB71;
}
.room .room-list a {
  text-decoration: none;
}
.users-list .name {
  color: white;
}
.users-list ul {
  overflow-y: scroll;
}
.loginBtn {
  width: 80%;
}
.form {
  background-color: #F2F5F8;
}
.form input {
    background-color: white;
}
.form-line {
  position: absolute; 
  left: 0px;
  width: 360px; 
  margin-top: 2px; 
  border-bottom: 2px solid white;
}
.social-buttons div span {
  font-weight: bold;
}
.chat-message button, .room-create button, .controls a {
  font-family: "Roboto", sans-serif;
  float: right;
  text-transform: uppercase;
  outline: 0;
  background: #86BB71;
  border: 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 14px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}
button:hover, button:active, button:focus {
  background: #89c771;
}
a.rooms-btn:hover, a.rooms-btn:active, a.rooms-btn:focus {
  background: #89c771;
}
a.logout-btn{
  background-color: rgb(226, 98, 92);
}
a.logout-btn:hover, a.logout-btn:active, a.logout-btn:focus {
  background-color: rgb(245, 106, 99);
}
.controls {
  width: 270px;
  float: left;
  margin: 0;
  text-align: center;
  border-bottom: 2px solid white;
}
.controls a {
  width: 50%;
  margin: 0;
}
.users-list li img, .chat-header img {
  width: 60px;
  height: 60px;
  border: 3px solid #676c75;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
}
.controls a {
  text-decoration: none;
}
.message.error {
  color: red;
}
.message.success {
  color: #86BB71;
}
.container {
  overflow: hidden;
}
.chat, .users-list{
  padding-bottom: 500em;
  margin-bottom: -500em;
}
.not-found-error {
  padding: 5%;
  background-color: white;
}
.chat .chat-history .my-message {
  text-align: initial;
}

.title-page{
  text-align: center;
  font-weight: bold;
  font-size: 20px;
  padding: 2% 0 0;
  color: #fff;
}
p {
  margin: 0px !important;
}